Skip to main content
GET
/
admin
/
api
/
v1
/
usage
/
summary
Get usage summary
curl --request GET \
  --url https://gomodel.example.com/admin/api/v1/usage/summary \
  --header 'Authorization: <api-key>'
{
  "total_cost": 123,
  "total_input_cost": 123,
  "total_input_tokens": 123,
  "total_output_cost": 123,
  "total_output_tokens": 123,
  "total_requests": 123,
  "total_tokens": 123
}

Authorizations

Authorization
string
header
required

Query Parameters

days
integer

Number of days (default 30)

start_date
string

Start date (YYYY-MM-DD)

end_date
string

End date (YYYY-MM-DD)

user_path
string

Filter by tracked user path subtree

cache_mode
string

Cache mode filter: uncached, cached, all (default uncached)

Response

OK

total_cost
number
total_input_cost
number
total_input_tokens
integer
total_output_cost
number
total_output_tokens
integer
total_requests
integer
total_tokens
integer